• R/O
  • SSH
  • HTTPS

qrobosdk: コミット


コミットメタ情報

リビジョン1936 (tree)
日時2010-10-21 09:52:54
作者satofumi

ログメッセージ

removed urg_c check

変更サマリ

差分

--- branches/tsukuba_2010/packages/urg_cpp_library/configure (revision 1935)
+++ branches/tsukuba_2010/packages/urg_cpp_library/configure (revision 1936)
@@ -15454,76 +15454,8 @@
1545415454
1545515455
1545615456 # Checks for libraries.
15457-{ echo "$as_me:$LINENO: checking for urg_open in -lurg_c" >&5
15458-echo $ECHO_N "checking for urg_open in -lurg_c... $ECHO_C" >&6; }
15459-if test "${ac_cv_lib_urg_c_urg_open+set}" = set; then
15460- echo $ECHO_N "(cached) $ECHO_C" >&6
15461-else
15462- ac_check_lib_save_LIBS=$LIBS
15463-LIBS="-lurg_c $LIBS"
15464-cat >conftest.$ac_ext <<_ACEOF
15465-/* confdefs.h. */
15466-_ACEOF
15467-cat confdefs.h >>conftest.$ac_ext
15468-cat >>conftest.$ac_ext <<_ACEOF
15469-/* end confdefs.h. */
15470-
15471-/* Override any GCC internal prototype to avoid an error.
15472- Use char because int might match the return type of a GCC
15473- builtin and then its argument prototype would still apply. */
15474-#ifdef __cplusplus
15475-extern "C"
15476-#endif
15477-char urg_open ();
15478-int
15479-main ()
15480-{
15481-return urg_open ();
15482- ;
15483- return 0;
15484-}
15485-_ACEOF
15486-rm -f conftest.$ac_objext conftest$ac_exeext
15487-if { (ac_try="$ac_link"
15488-case "(($ac_try" in
15489- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15490- *) ac_try_echo=$ac_try;;
15491-esac
15492-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15493- (eval "$ac_link") 2>conftest.er1
15494- ac_status=$?
15495- grep -v '^ *+' conftest.er1 >conftest.err
15496- rm -f conftest.er1
15497- cat conftest.err >&5
15498- echo "$as_me:$LINENO: \$? = $ac_status" >&5
15499- (exit $ac_status); } && {
15500- test -z "$ac_c_werror_flag" ||
15501- test ! -s conftest.err
15502- } && test -s conftest$ac_exeext &&
15503- $as_test_x conftest$ac_exeext; then
15504- ac_cv_lib_urg_c_urg_open=yes
15505-else
15506- echo "$as_me: failed program was:" >&5
15507-sed 's/^/| /' conftest.$ac_ext >&5
15508-
15509- ac_cv_lib_urg_c_urg_open=no
15510-fi
15511-
15512-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
15513- conftest$ac_exeext conftest.$ac_ext
15514-LIBS=$ac_check_lib_save_LIBS
15515-fi
15516-{ echo "$as_me:$LINENO: result: $ac_cv_lib_urg_c_urg_open" >&5
15517-echo "${ECHO_T}$ac_cv_lib_urg_c_urg_open" >&6; }
15518-if test $ac_cv_lib_urg_c_urg_open = yes; then
15519- HAV
15520-E_LIBURG_C="yes"
15521-else
15522- { { echo "$as_me:$LINENO: error: *** urg_c not found! ***" >&5
15523-echo "$as_me: error: *** urg_c not found! ***" >&2;}
15524- { (exit 1); exit 1; }; }
15525-fi
15526-
15457+#AC_CHECK_LIB(urg_c, urg_open, [HAVE_LIBURG_C="yes"], AC_MSG_ERROR([*** urg_c not found! ***]))
15458+# !!! todo added urg_c-config check
1552715459 CXXFLAGS="$CXXFLAGS `urg_c-config --cflags`"
1552815460 LIBS="$LIBS `urg_c-config --libs`"
1552915461
--- branches/tsukuba_2010/packages/urg_cpp_library/Makefile.in (revision 1935)
+++ branches/tsukuba_2010/packages/urg_cpp_library/Makefile.in (revision 1936)
@@ -13,6 +13,7 @@
1313 # PARTICULAR PURPOSE.
1414
1515 @SET_MAKE@
16+
1617 VPATH = @srcdir@
1718 pkgdatadir = $(datadir)/@PACKAGE@
1819 pkglibdir = $(libdir)/@PACKAGE@
@@ -46,6 +47,9 @@
4647 mkinstalldirs = $(install_sh) -d
4748 CONFIG_HEADER = config.h
4849 CONFIG_CLEAN_FILES = urg_cpp-config
50+am__installdirs = "$(DESTDIR)$(bindir)"
51+binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
52+SCRIPTS = $(bin_SCRIPTS)
4953 SOURCES =
5054 DIST_SOURCES =
5155 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
@@ -187,6 +191,7 @@
187191 top_builddir = @top_builddir@
188192 top_srcdir = @top_srcdir@
189193 SUBDIRS = src sample
194+bin_SCRIPTS = urg_cpp-config
190195 all: config.h
191196 $(MAKE) $(AM_MAKEFLAGS) all-recursive
192197
@@ -243,7 +248,26 @@
243248 -rm -f config.h stamp-h1
244249 urg_cpp-config: $(top_builddir)/config.status $(srcdir)/urg_cpp-config.in
245250 cd $(top_builddir) && $(SHELL) ./config.status $@
251+install-binSCRIPTS: $(bin_SCRIPTS)
252+ @$(NORMAL_INSTALL)
253+ test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
254+ @list='$(bin_SCRIPTS)'; for p in $$list; do \
255+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
256+ if test -f $$d$$p; then \
257+ f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
258+ echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
259+ $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
260+ else :; fi; \
261+ done
246262
263+uninstall-binSCRIPTS:
264+ @$(NORMAL_UNINSTALL)
265+ @list='$(bin_SCRIPTS)'; for p in $$list; do \
266+ f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
267+ echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
268+ rm -f "$(DESTDIR)$(bindir)/$$f"; \
269+ done
270+
247271 mostlyclean-libtool:
248272 -rm -f *.lo
249273
@@ -528,9 +552,12 @@
528552 exit 1; } >&2
529553 check-am: all-am
530554 check: check-recursive
531-all-am: Makefile config.h
555+all-am: Makefile $(SCRIPTS) config.h
532556 installdirs: installdirs-recursive
533557 installdirs-am:
558+ for dir in "$(DESTDIR)$(bindir)"; do \
559+ test -z "$$dir" || $(MKDIR_P) "$$dir"; \
560+ done
534561 install: install-recursive
535562 install-exec: install-exec-recursive
536563 install-data: install-data-recursive
@@ -579,7 +606,7 @@
579606
580607 install-dvi: install-dvi-recursive
581608
582-install-exec-am:
609+install-exec-am: install-binSCRIPTS
583610
584611 install-html: install-html-recursive
585612
@@ -611,7 +638,7 @@
611638
612639 ps-am:
613640
614-uninstall-am:
641+uninstall-am: uninstall-binSCRIPTS
615642
616643 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
617644 install-strip
@@ -623,14 +650,15 @@
623650 distclean-generic distclean-hdr distclean-libtool \
624651 distclean-tags distcleancheck distdir distuninstallcheck dvi \
625652 dvi-am html html-am info info-am install install-am \
626- install-data install-data-am install-dvi install-dvi-am \
627- install-exec install-exec-am install-html install-html-am \
628- install-info install-info-am install-man install-pdf \
629- install-pdf-am install-ps install-ps-am install-strip \
630- installcheck installcheck-am installdirs installdirs-am \
631- maintainer-clean maintainer-clean-generic mostlyclean \
632- mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
633- tags tags-recursive uninstall uninstall-am
653+ install-binSCRIPTS install-data install-data-am install-dvi \
654+ install-dvi-am install-exec install-exec-am install-html \
655+ install-html-am install-info install-info-am install-man \
656+ install-pdf install-pdf-am install-ps install-ps-am \
657+ install-strip installcheck installcheck-am installdirs \
658+ installdirs-am maintainer-clean maintainer-clean-generic \
659+ mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
660+ ps ps-am tags tags-recursive uninstall uninstall-am \
661+ uninstall-binSCRIPTS
634662
635663 # Tell versions [3.59,3.63) of GNU make to not export all variables.
636664 # Otherwise a system limit (for SysV at least) may be exceeded.
--- branches/tsukuba_2010/packages/urg_cpp_library/configure.in (revision 1935)
+++ branches/tsukuba_2010/packages/urg_cpp_library/configure.in (revision 1936)
@@ -28,8 +28,8 @@
2828 AC_PROG_RANLIB
2929
3030 # Checks for libraries.
31-AC_CHECK_LIB(urg_c, urg_open, [HAV
32-E_LIBURG_C="yes"], AC_MSG_ERROR([*** urg_c not found! ***]))
31+#AC_CHECK_LIB(urg_c, urg_open, [HAVE_LIBURG_C="yes"], AC_MSG_ERROR([*** urg_c not found! ***]))
32+# !!! todo added urg_c-config check
3333 CXXFLAGS="$CXXFLAGS `urg_c-config --cflags`"
3434 LIBS="$LIBS `urg_c-config --libs`"
3535
--- branches/tsukuba_2010/packages/urg_cpp_library/urg_cpp-config.in (revision 1935)
+++ branches/tsukuba_2010/packages/urg_cpp_library/urg_cpp-config.in (revision 1936)
@@ -16,10 +16,10 @@
1616 echo "@VERSION@"
1717 ;;
1818 --cflags)
19- echo -I@includedir@/urg_cpp
19+ echo -I@includedir@/urg_cpp `urg_c-config --cflags`
2020 ;;
2121 --libs)
22- echo @INSTALL_LIBS@
22+ echo @INSTALL_LIBS@ `urg_c-config --libs`
2323 ;;
2424 *)
2525 echo "${usage}" 1>&2
--- branches/tsukuba_2010/packages/urg_cpp_library/Makefile.am (revision 1935)
+++ branches/tsukuba_2010/packages/urg_cpp_library/Makefile.am (revision 1936)
@@ -1,3 +1,4 @@
11 ## Makefile.am -- Process this file with automake to produce Makefile.in
22
33 SUBDIRS = src sample
4+bin_SCRIPTS = urg_cpp-config
旧リポジトリブラウザで表示